import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询周转管理列表
export function listTurnover(data) {
  return request({
    url: baseUrl + '/business/turnover/list',
    method: 'post',
    data: data
  })
}

// 查询周转管理详细
export function getTurnover(id) {
  return request({
    url: baseUrl + '/business/turnover/getInfo/' + id,
    method: 'get'
  })
}

// 新增周转管理
export function saveTurnover(data) {
  return request({
    url: baseUrl + '/business/turnover/save',
    method: 'post',
    data: data
  })
}

// 删除周转管理
export function delTurnover(id) {
  return request({
    url: baseUrl + '/business/turnover/remove/' + id,
    method: 'delete'
  })
}
